Resolvendo os problemas com a tradução do Mautic

Veja neste artigo como instalar todas as bibliotecas PHP necessárias para a tradução do Mautic no idioma Português do Brasil

Veja neste artigo como instalar as bibliotecas necessárias para que o Mautic funcione no idioma Português do Brasil.

No case de servidores configurados utilizando o setup LAMP ou LEMP da Digital Ocean ou através do EasyEngine basta executar os comandos abaixo para que o mautic possa interpretar os arquivos de tradução.

Instalando as bibliotecas PHP para tradução do Mautic

Para que a tradução do Mautic funcione em qualquer idioma precisamos de duas bibliotecas específicas, a intl e a zip. Para instalar estas bibliotecas utilize o seguinte comando:

PHP 5.6:

apt-get install php5.6-intl php5.6-zip

PHP 7.0:

apt-get install php7.0-intl php7.0-zip

Reiniciando os serviços

É recomendado reiniciar os serviços dos servidores web após a instalação, veja:

assine newsletter

Receba Conteúdo exclusivo por e-mail

Se você usa EasyEngine com PHP 5.6

ee stack reload

Se você usa EasyEngine com PHP7:

ee stack reload
service php7.0-fpm restart

Se você utiliza o Apache

service apache2 restart

E se ainda não der certo?

Se mesmo assim o seu mautic não conseguir a atualização da tradução recomendo a limpeza do Cache a a reinstalação do SETUP do servidor. Lembre-se que isso ocorre por má configuração do servidor e não por um bug do Mautic.

Atualização do PHP 7.0.19 (11/05/2017)

Na versão 7.0.19 forram corrigidos alguns erros na biblioteca php-intl que podem ajudar na tradução.

Qualquer dúvida é só deixar aí nos comentários 😉 Até mais!


Deixe um comentário

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *

Esse site utiliza o Akismet para reduzir spam. Aprenda como seus dados de comentários são processados.